netdev.vger.kernel.org archive mirror
 help / color / mirror / Atom feed
* [PATCH net] selftests: Fix raw socket bind tests with VRF
@ 2021-12-11 17:21 David Ahern
  2021-12-12 16:30 ` patchwork-bot+netdevbpf
  0 siblings, 1 reply; 2+ messages in thread
From: David Ahern @ 2021-12-11 17:21 UTC (permalink / raw)
  To: netdev; +Cc: David Ahern, Li Zhijian

Commit referenced below added negative socket bind tests for VRF. The
socket binds should fail since the address to bind to is in a VRF yet
the socket is not bound to the VRF or a device within it. Update the
expected return code to check for 1 (bind failure) so the test passes
when the bind fails as expected. Add a 'show_hint' comment to explain
why the bind is expected to fail.

Fixes: 75b2b2b3db4c ("selftests: Add ipv4 address bind tests to fcnal-test")
Reported-by: Li Zhijian <lizhijian@fujitsu.com>
Signed-off-by: David Ahern <dsahern@kernel.org>
---
 tools/testing/selftests/net/fcnal-test.sh | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/tools/testing/selftests/net/fcnal-test.sh b/tools/testing/selftests/net/fcnal-test.sh
index d0c45023b4d4..25bba4557a8e 100755
--- a/tools/testing/selftests/net/fcnal-test.sh
+++ b/tools/testing/selftests/net/fcnal-test.sh
@@ -1825,8 +1825,9 @@ ipv4_addr_bind_vrf()
 	for a in ${NSA_IP} ${VRF_IP}
 	do
 		log_start
+		show_hint "Socket not bound to VRF, but address is in VRF"
 		run_cmd nettest -s -R -P icmp -l ${a} -b
-		log_test_addr ${a} $? 0 "Raw socket bind to local address"
+		log_test_addr ${a} $? 1 "Raw socket bind to local address"
 
 		log_start
 		run_cmd nettest -s -R -P icmp -l ${a} -I ${NSA_DEV} -b
-- 
2.25.1


^ permalink raw reply related	[flat|nested] 2+ messages in thread

* Re: [PATCH net] selftests: Fix raw socket bind tests with VRF
  2021-12-11 17:21 [PATCH net] selftests: Fix raw socket bind tests with VRF David Ahern
@ 2021-12-12 16:30 ` patchwork-bot+netdevbpf
  0 siblings, 0 replies; 2+ messages in thread
From: patchwork-bot+netdevbpf @ 2021-12-12 16:30 UTC (permalink / raw)
  To: David Ahern; +Cc: netdev, lizhijian

Hello:

This patch was applied to netdev/net.git (master)
by David S. Miller <davem@davemloft.net>:

On Sat, 11 Dec 2021 10:21:08 -0700 you wrote:
> Commit referenced below added negative socket bind tests for VRF. The
> socket binds should fail since the address to bind to is in a VRF yet
> the socket is not bound to the VRF or a device within it. Update the
> expected return code to check for 1 (bind failure) so the test passes
> when the bind fails as expected. Add a 'show_hint' comment to explain
> why the bind is expected to fail.
> 
> [...]

Here is the summary with links:
  - [net] selftests: Fix raw socket bind tests with VRF
    https://git.kernel.org/netdev/net/c/0f108ae44520

You are awesome, thank you!
-- 
Deet-doot-dot, I am a bot.
https://korg.docs.kernel.org/patchwork/pwbot.html



^ permalink raw reply	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2021-12-12 16:30 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-12-11 17:21 [PATCH net] selftests: Fix raw socket bind tests with VRF David Ahern
2021-12-12 16:30 ` patchwork-bot+netdevbpf

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).